<?php
/**
 * @brief		Surly Application Class
 * @author		<a href='http://sur.ly'>Sur.ly</a>
 * @copyright	(c) 2016 Sur.ly
 * @package		IPS Community Suite
 * @subpackage	Surly
 * @since		28 Mar 2016
 * @version
 */
 
namespace IPS\surly;

/**
 * Surly Application Class
 */
class _Application extends \IPS\Application
{
	public function installOther()
	{
		\IPS\Db::i()->update( 'core_sys_conf_settings', array( 'conf_value' => md5(time()) ), array( 'conf_key=?', 'surly_activation_hash' ) );

		unset( \IPS\Data\Store::i()->settings );

		\IPS\surly\Surly\SurlyIpb::i()->trackHistory(\IPS\surly\Surly\SurlyIpb::SURLY_ACTION_TYPE_INSTALL);
	}

	/**
	 * [Node] Get Icon for tree
	 *
	 * @note	Return the class for the icon (e.g. 'globe')
	 * @return	string|null
	 */
	protected function get__icon()
	{
		return 'link';
	}

	/**
	 * Returns the ACP Menu JSON for this application.
	 *
	 * @return array
	 */
	public function acpMenu()
	{
		if (!\IPS\Settings::i()->surly_initial && \IPS\Settings::i()->surly_toolbar_id) {
			return array(
				'surly' => array(
					'plugin_settings' => array(
						'tab' => 'community',
						'controller' => 'surly',
						'do' => '',
						'restriction' => 'surly_manage',
					),
					'toolbar_settings' => array(
						'tab' => 'community',
						'controller' => 'surly',
						'do' => 'settingsToolbar',
						'restriction' => 'surly_manage',
					),
				),
			);
		} else {
			return array(
				'surly' => array(
					'plugin_settings' => array(
						'tab' => 'community',
						'controller' => 'surly',
						'do' => '',
						'restriction' => 'surly_manage',
					),
				),
			);
		}
	}
}
